# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: comm.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\ncomm.proto\"\x07\n\x05\x45mpty\" \n\rStringMessage\x12\x0f\n\x07message\x18\x01 \x01(\t\"\x12\n\x03Key\x12\x0b\n\x03key\x18\x01 \x01(\x03\"!\n\x07KeyList\x12\x16\n\x08key_list\x18\x01 \x03(\x0b\x32\x04.Key\"o\n\x0cMapStringInt\x12.\n\tkey_value\x18\x01 \x03(\x0b\x32\x1b.MapStringInt.KeyValueEntry\x1a/\n\rKeyValueEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\x03:\x02\x38\x01\"o\n\x0cMapIntString\x12.\n\tkey_value\x18\x01 \x03(\x0b\x32\x1b.MapIntString.KeyValueEntry\x1a/\n\rKeyValueEntry\x12\x0b\n\x03key\x18\x01 \x01(\x03\x12\r\n\x05value\x18\x02 \x01(\t:\x02\x38\x01\"k\n\nMapDefault\x12,\n\tkey_value\x18\x01 \x03(\x0b\x32\x19.MapDefault.KeyValueEntry\x1a/\n\rKeyValueEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\t:\x02\x38\x01\"#\n\x05Range\x12\r\n\x05start\x18\x01 \x01(\x05\x12\x0b\n\x03\x65nd\x18\x02 \x01(\x05\"3\n\x04\x44\x61ta\x12\x0e\n\x06userID\x18\x01 \x01(\x03\x12\x0c\n\x04name\x18\x02 \x01(\t\x12\r\n\x05\x65mail\x18\x03 \x01(\t\"\x1b\n\x04\x44ict\x12\x13\n\x04\x64\x61ta\x18\x01 \x03(\x0b\x32\x05.Data\"&\n\x07GetData\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\r\n\x05\x65mail\x18\x02 \x01(\t\"(\n\x0bGetDictData\x12\x19\n\x07getdata\x18\x01 \x03(\x0b\x32\x08.GetData2\x84\x03\n\x14\x43ommunicationService\x12\x32\n\x0etestConnection\x12\x0e.StringMessage\x1a\x0e.StringMessage\"\x00\x12*\n\x0fgetKeySpaceInfo\x12\x06.Empty\x1a\r.MapStringInt\"\x00\x12\x1d\n\tgetSingle\x12\x04.Key\x1a\x08.GetData\"\x00\x12$\n\tsetSingle\x12\x05.Data\x1a\x0e.StringMessage\"\x00\x12\'\n\x0bgetMultiple\x12\x08.KeyList\x1a\x0c.GetDictData\"\x00\x12&\n\x0bsetMultiple\x12\x05.Dict\x1a\x0e.StringMessage\"\x00\x12\'\n\tdelSingle\x12\x08.KeyList\x1a\x0e.StringMessage\"\x00\x12)\n\x0b\x64\x65lMultiple\x12\x08.KeyList\x1a\x0e.StringMessage\"\x00\x12\"\n\x08getRange\x12\x06.Range\x1a\x0c.GetDictData\"\x00\x62\x06proto3')

_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, globals())
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'comm_pb2', globals())
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _MAPSTRINGINT_KEYVALUEENTRY._options = None
  _MAPSTRINGINT_KEYVALUEENTRY._serialized_options = b'8\001'
  _MAPINTSTRING_KEYVALUEENTRY._options = None
  _MAPINTSTRING_KEYVALUEENTRY._serialized_options = b'8\001'
  _MAPDEFAULT_KEYVALUEENTRY._options = None
  _MAPDEFAULT_KEYVALUEENTRY._serialized_options = b'8\001'
  _EMPTY._serialized_start=14
  _EMPTY._serialized_end=21
  _STRINGMESSAGE._serialized_start=23
  _STRINGMESSAGE._serialized_end=55
  _KEY._serialized_start=57
  _KEY._serialized_end=75
  _KEYLIST._serialized_start=77
  _KEYLIST._serialized_end=110
  _MAPSTRINGINT._serialized_start=112
  _MAPSTRINGINT._serialized_end=223
  _MAPSTRINGINT_KEYVALUEENTRY._serialized_start=176
  _MAPSTRINGINT_KEYVALUEENTRY._serialized_end=223
  _MAPINTSTRING._serialized_start=225
  _MAPINTSTRING._serialized_end=336
  _MAPINTSTRING_KEYVALUEENTRY._serialized_start=289
  _MAPINTSTRING_KEYVALUEENTRY._serialized_end=336
  _MAPDEFAULT._serialized_start=338
  _MAPDEFAULT._serialized_end=445
  _MAPDEFAULT_KEYVALUEENTRY._serialized_start=398
  _MAPDEFAULT_KEYVALUEENTRY._serialized_end=445
  _RANGE._serialized_start=447
  _RANGE._serialized_end=482
  _DATA._serialized_start=484
  _DATA._serialized_end=535
  _DICT._serialized_start=537
  _DICT._serialized_end=564
  _GETDATA._serialized_start=566
  _GETDATA._serialized_end=604
  _GETDICTDATA._serialized_start=606
  _GETDICTDATA._serialized_end=646
  _COMMUNICATIONSERVICE._serialized_start=649
  _COMMUNICATIONSERVICE._serialized_end=1037
# @@protoc_insertion_point(module_scope)
